<?php

function mydefaulttheme_preprocess_html(&$variables) {
  $this_settings = theme_get_setting('palette');
  if(isset($this_settings['titlecolor'], $this_settings['link'],  $this_settings['text']) && file_exists(variable_get('file_public_path', conf_path() . '/files') ."/mydefaulttheme_header_bg.png")){
  
  $custom_css = " body {\n   color: ".$this_settings['text'].";\n   }\n   #header {\n   background-image: url(".base_path().variable_get('file_public_path', conf_path() . '/files') ."/mydefaulttheme_header_bg.png);\n   }\n   div.admin-panel h3 {\n   border-color: ".$this_settings['link'].";\n   }\n   a:link, a:visited, div.admin-panel h3, #mission a, #mission a:visited, a:hover {\n   color: ".$this_settings['link'].";\n   }\n   ul.links li {\n   border-color : ".$this_settings['link'].";\n   }\n   #subnavlist, #subnavlist a, #logo a.site-name, .site-slogan {\n   color: ".$this_settings['titlecolor'].";\n   border-color: ".$this_settings['titlecolor'].";\n   }\n ";
   drupal_add_css($custom_css, array('type' => 'inline'));
} else { 
  $custom_css = drupal_get_path('theme', 'mydefaulttheme')."/images/default.css";
  drupal_add_css($custom_css, array('type' => 'file'));
 }
}

/**
 * Override or insert variables into the region template.
 */
function bluemarine_preprocess_region(&$vars, $hook) {
  // Sidebar regions get an extra class.
  if (strpos($vars['region'], 'sidebar_') === 0) {
    $vars['classes_array'][] = 'column';
  }
}

/**
 * Override or insert variables into the page template.
 */
function bluemarine_preprocess_page(&$vars, $hook) {
  $vars['title_attributes_array']['class'][] = 'title';
}

/**
 * Override or insert variables into the node template.
 */
function bluemarine_preprocess_node(&$vars, $hook) {
  $vars['title_attributes_array']['class'][] = 'title';
}

/**
 * Override or insert variables into the comment template.
 */
function bluemarine_preprocess_comment(&$vars, $hook) {
  $vars['title_attributes_array']['class'][] = 'title';
}

/**
 * Override or insert variables into the block template.
 */
function bluemarine_preprocess_block(&$vars, $hook) {
  $vars['title_attributes_array']['class'][] = 'title';
}
?>
